Package org.springframework.batch.integration.partition

# Class RemotePartitioningWorkerStepBuilderFactory

java.lang.Object
org.springframework.batch.integration.partition.RemotePartitioningWorkerStepBuilderFactory

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`

public class RemotePartitioningWorkerStepBuilderFactory extends Object implements org.springframework.beans.factory.BeanFactoryAware
Convenient factory for a `RemotePartitioningWorkerStepBuilder` which sets the `JobRepository`, `JobExplorer`, `BeanFactory` and `PlatformTransactionManager` automatically.

Since:
  4.1
Author:
  Mahmoud Ben Hassine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemotePartitioningWorkerStepBuilderFactory(JobRepository jobRepository, JobExplorer jobExplorer, org.springframework.transaction.PlatformTransactionManager transactionManager)`
  Create a new `RemotePartitioningWorkerStepBuilderFactory`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RemotePartitioningWorkerStepBuilder`
  `get(String name)`
  Creates a `RemotePartitioningWorkerStepBuilder` and initializes its job repository, job explorer, bean factory and transaction manager.
  `void`
  `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RemotePartitioningWorkerStepBuilderFactory

    public RemotePartitioningWorkerStepBuilderFactory(JobRepository jobRepository, JobExplorer jobExplorer, org.springframework.transaction.PlatformTransactionManager transactionManager)
    Create a new `RemotePartitioningWorkerStepBuilderFactory`.
    Parameters:
      `jobRepository` - the job repository to use
      `jobExplorer` - the job explorer to use
      `transactionManager` - the transaction manager to use

- ## Method Details

  - ### setBeanFactory

    public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory) throws org.springframework.beans.BeansException
    Specified by:
      `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
    Throws:
      `org.springframework.beans.BeansException`

  - ### get

    public RemotePartitioningWorkerStepBuilder get(String name)
    Creates a `RemotePartitioningWorkerStepBuilder` and initializes its job repository, job explorer, bean factory and transaction manager.
    Parameters:
      `name` - the name of the step
    Returns:
      a `RemotePartitioningWorkerStepBuilder`